from django.utils.translation import ugettext_lazy as _

MENUS = {
    "NAV_MENU_CORE": [
        {
            "name": _("Student ID Cards"),
            "url": "#",
            "root": True,
            "icon": "credit_card",
            "validators": [
                "menu_generator.validators.is_authenticated",
                "aleksis.core.util.core_helpers.has_person",
            ],
            "submenu": [
                {
                    "name": _("All Cards"),
                    "url": "cards",
                    "icon": "list",
                    "validators": [
                        (
                            "aleksis.core.util.predicates.permission_validator",
                            "core.view_cards_rule",
                        )
                    ],
                },
            ],
        }
    ]
}
